Skip to main content
DELETE
/
integrations
/
linear
/
{conversation_id}
/
tickets
/
{linear_id}
Detach a Linear issue from a conversation
curl --request DELETE \
  --url https://api.getfernand.com/integrations/linear/{conversation_id}/tickets/{linear_id} \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.getfernand.com/integrations/linear/{conversation_id}/tickets/{linear_id}"

headers = {"X-API-Key": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.getfernand.com/integrations/linear/{conversation_id}/tickets/{linear_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.getfernand.com/integrations/linear/{conversation_id}/tickets/{linear_id}"

req, _ := http.NewRequest("DELETE", url, nil)

req.Header.Add("X-API-Key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
using RestSharp;


var options = new RestClientOptions("https://api.getfernand.com/integrations/linear/{conversation_id}/tickets/{linear_id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("X-API-Key", "<api-key>");
var response = await client.DeleteAsync(request);

Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.delete("https://api.getfernand.com/integrations/linear/{conversation_id}/tickets/{linear_id}")
.header("X-API-Key", "<api-key>")
.asString();
{}
Removes the association between a Linear issue and the specified conversation. This does not delete the issue in Linear, only removes the link between the conversation and the issue. Also removes any Fernand-created attachments and customer links from the Linear issue. Returns an empty response on success.

Authorizations

X-API-Key
string
header
required

Authenticate your account by including your secret key in API requests. You can manage your API keys in the Dashboard.

Authentication to the API is performed by using the HTTP Header X-API-Key.

Path Parameters

conversation_id
integer
required

ID of the conversation to detach the issue from.

linear_id
string<uuid>
required

UUID of the Linear issue to detach.

Response

Linear issue detached successfully.

The response is of type object.